Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.jigsaw.https.socket
Class SSLSocketClientFactory

    java.lang.Object
      |
      +--org.w3c.jigsaw.http.socket.SocketClientFactory
            |
            +--org.w3c.jigsaw.https.socket.SSLSocketClientFactory

public class SSLSocketClientFactory
extends SocketClientFactory

Field Summary
`static java.lang.String` | `KEYSTORE_PASSWORD_P` property key for specifying the keystore password
`static java.lang.String` | `KEYSTORE_PASSWORD_S` property key for the system keystore password
`static java.lang.String` | `KEYSTORE_PATH_P` property key for specifying the keystore path
`static java.lang.String` | `KEYSTORE_PATH_S` property key for the system keystore path
`static java.lang.String` | `PROTOCOL_HANDLER_D` default TLS protocol handler (should always be set to default)
`static java.lang.String` | `PROTOCOL_HANDLER_P` property key for specifying the TLS protocol handler
`static java.lang.String` | `PROTOCOL_HANDLER_S` property key for the system protocol package lookup
`static java.lang.String` | `SECURITY_PROVIDER_D` default security provider for TLS support
`static java.lang.String` | `SECURITY_PROVIDER_P` property key for specifying the TLS security provider
`static java.lang.String` | `TRUSTSTORE_PASSWORD_P` property key for specifying the truststore password (future use for client mode)
`static java.lang.String` | `TRUSTSTORE_PASSWORD_S` property key for the system keystore password (future usage for client mode)
`static java.lang.String` | `TRUSTSTORE_PATH_P` property key for specifying the truststore path (future use for client mode)
`static java.lang.String` | `TRUSTSTORE_PATH_S` property key for the system truststore path (future usage for client mode)

Fields inherited from class org.w3c.jigsaw.http.socket.SocketClientFactory
`AVG_DEAD, AVG_HIGH, AVG_LIGHT, AVG_NORMAL, BINDADDR_P, IDLETO, IDLETO_P, MAXCLIENTS, MAXCLIENTS_P, MAXSPARE_FREE, MAXSPARE_FREE_P, MAXSPARE_IDLE, MAXSPARE_IDLE_P, MAXTHREADS, MAXTHREADS_P, MINSPARE_FREE, MINSPARE_FREE_P`

Constructor Summary
`SSLSocketClientFactory()`

Method Summary
`java.net.ServerSocket` | `createServerSocket()` method for creating a secure server socket
`void` | `initialize(httpd server)` method for intializing this factory
`boolean` | `propertyChanged(java.lang.String name)` method for handling a dynamic property modification

Methods inherited from class org.w3c.jigsaw.http.socket.SocketClientFactory
`addClient, clientConnectionFinished, clientFinished, deleteClient, getHTMLStatus, handleConnection, idleClientRemove, killClients, killSomeClients, killSomeClients, notifyIdle, notifyUse, run, shutdown`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROTOCOL_HANDLER_P

    public static final java.lang.String PROTOCOL_HANDLER_P

  property key for specifying the TLS protocol handler

### SECURITY_PROVIDER_P

    public static final java.lang.String SECURITY_PROVIDER_P

  property key for specifying the TLS security provider

### KEYSTORE_PATH_P

    public static final java.lang.String KEYSTORE_PATH_P

  property key for specifying the keystore path

### KEYSTORE_PASSWORD_P

    public static final java.lang.String KEYSTORE_PASSWORD_P

  property key for specifying the keystore password

### TRUSTSTORE_PATH_P

    public static final java.lang.String TRUSTSTORE_PATH_P

  property key for specifying the truststore path (future use for client mode)

### TRUSTSTORE_PASSWORD_P

    public static final java.lang.String TRUSTSTORE_PASSWORD_P

  property key for specifying the truststore password (future use for client mode)

### PROTOCOL_HANDLER_S

    public static final java.lang.String PROTOCOL_HANDLER_S

  property key for the system protocol package lookup

### KEYSTORE_PATH_S

    public static final java.lang.String KEYSTORE_PATH_S

  property key for the system keystore path

### KEYSTORE_PASSWORD_S

    public static final java.lang.String KEYSTORE_PASSWORD_S

  property key for the system keystore password

### TRUSTSTORE_PATH_S

    public static final java.lang.String TRUSTSTORE_PATH_S

  property key for the system truststore path (future usage for client mode)

### TRUSTSTORE_PASSWORD_S

    public static final java.lang.String TRUSTSTORE_PASSWORD_S

  property key for the system keystore password (future usage for client mode)

### SECURITY_PROVIDER_D

    public static final java.lang.String SECURITY_PROVIDER_D

  default security provider for TLS support

### PROTOCOL_HANDLER_D

    public static final java.lang.String PROTOCOL_HANDLER_D

  default TLS protocol handler (should always be set to default)

Constructor Detail

### SSLSocketClientFactory

    public SSLSocketClientFactory()

Method Detail

### createServerSocket

    public java.net.ServerSocket createServerSocket()
                                             throws java.io.IOException

  method for creating a secure server socket
  Overrides:
    createServerSocket in class SocketClientFactory
  Returns:
    a new server socket instance
  Throws:
    java.io.IOException - due to socket creation problems

### initialize

    public void initialize(httpd server)

  method for intializing this factory
  Overrides:
    initialize in class SocketClientFactory
  Parameters:
    `server` - the daemon of this factory

### propertyChanged

    public boolean propertyChanged(java.lang.String name)

  method for handling a dynamic property modification
  Overrides:
    propertyChanged in class SocketClientFactory
  Parameters:
    `name` - the name of the property modified
  Returns:
    true if and only if the modification has been handled successfully

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD